DefaultSecurityAttributeValidator¶
- class oci.security_attribute.models.DefaultSecurityAttributeValidator(**kwargs)¶
Bases:
BaseSecurityAttributeValidatorUse this validator to clear any existing validator on the security attribute with the UpdateSecurityAttribute operation. Using this validatorType is the same as not setting any value on the validator field. The resultant value for validatorType returned in the response body is null.
Attributes:
A constant which can be used with the validator_type property of a BaseSecurityAttributeValidator.
A constant which can be used with the validator_type property of a BaseSecurityAttributeValidator.
[Required] Gets the validator_type of this BaseSecurityAttributeValidator.
Methods:
__init__(**kwargs)Initializes a new DefaultSecurityAttributeValidator object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- VALIDATOR_TYPE_DEFAULT = 'DEFAULT'¶
A constant which can be used with the validator_type property of a BaseSecurityAttributeValidator. This constant has a value of “DEFAULT”
- VALIDATOR_TYPE_ENUM = 'ENUM'¶
A constant which can be used with the validator_type property of a BaseSecurityAttributeValidator. This constant has a value of “ENUM”
- __init__(**kwargs)¶
Initializes a new DefaultSecurityAttributeValidator object with values from keyword arguments. The default value of the
validator_typeattribute of this class isDEFAULTand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):- Parameters
validator_type (str) – The value to assign to the validator_type property of this DefaultSecurityAttributeValidator. Allowed values for this property are: “ENUM”, “DEFAULT”
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property validator_type¶
[Required] Gets the validator_type of this BaseSecurityAttributeValidator. Specifies the type of validation: a static value (no validation) or a list.
Allowed values for this property are: “ENUM”, “DEFAULT”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The validator_type of this BaseSecurityAttributeValidator.
- Return type
str